mobile_scanner 4.0.0 copy "mobile_scanner: ^4.0.0" to clipboard
mobile_scanner: ^4.0.0 copied to clipboard

A universal barcode and QR code scanner for Flutter based on MLKit. Uses CameraX on Android, AVFoundation on iOS and Apple Vision & AVFoundation on macOS.

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add mobile_scanner

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  mobile_scanner: ^4.0.0

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:mobile_scanner/mobile_scanner.dart';
1390
likes
140
pub points
99%
popularity
screenshot

Publisher

verified publishersteenbakker.dev

A universal barcode and QR code scanner for Flutter based on MLKit. Uses CameraX on Android, AVFoundation on iOS and Apple Vision & AVFoundation on macOS.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

flutter, flutter_web_plugins, js

More

Packages that depend on mobile_scanner